import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, i = (p, t, a, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, a) : t, o = p.length - 1, s; o >= 0; o--)
    (s = p[o]) && (e = (r ? s(t, a, e) : s(e)) || e);
  return r && e && f(t, a, e), e;
};
let l = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--walletFilledLarge", this.class = "c-pieIcon c-pieIcon--walletFilledLarge", this.name = "IconWalletFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--walletFilledLarge"><path d="m21.04 7.005-.787-1.899a2.626 2.626 0 0 0-3.43-1.426L8.808 7.005H21.04Z"></path><path d="M25.625 23.446h-6.562a.718.718 0 0 1-.718-.717v-9.021a.718.718 0 0 1 .718-.71h7.525v-1.67a2.625 2.625 0 0 0-.254-1.112 2.625 2.625 0 0 0-2.459-1.627H5.5c-.558.003-1.1.184-1.549.516a3.176 3.176 0 0 0-.428.411l-.158.21-.07.088c-.086.126-.16.261-.219.402a2.625 2.625 0 0 0-.253 1.112v13.886A2.678 2.678 0 0 0 5.5 27.89h18.375a2.677 2.677 0 0 0 2.678-2.677v-1.75h-.928v-.018Z"></path><path d="M20.095 14.749v6.947h9.03V14.75h-9.03Z"></path></svg>`;
  }
};
i([
  c({ type: String, reflect: !0 })
], l.prototype, "size", 2);
i([
  c({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = i([
  v("icon-wallet-filled-large")
], l);
export {
  l as IconWalletFilledLarge
};
